//==============================================================
// queueChecker
//
// written by:    unknown
// last modified: April, 2060
// 
// Description
// Program to test and check the queueType.h class
// Which is expected to be a queue implemented 
// using a dynamic array
//
//==============================================================
#include <iostream>
#include "queueType.h"

using namespace std;

//==============================================================
// main --- it all begins here
//==============================================================
int main()
{
   queueType<int> myIntQ;
   
   myIntQ.addQueue(23);
   myIntQ.addQueue(12345);
   myIntQ.addQueue(-4567);
   myIntQ.addQueue(17);
   
   cout << "Front of Q is      : " << myIntQ.front() << endl;
   cout << "Front of Q is still: " << myIntQ.front() << endl;

   myIntQ.deleteQueue();
   cout << "Delete done, front of Q is now: " << myIntQ.front() << endl;

   myIntQ.deleteQueue();
   myIntQ.deleteQueue();
   myIntQ.deleteQueue();
   myIntQ.deleteQueue();   // This should cause an assertion to appear

   return 0;
}

//==============================================================
//==============================================================
// end of file
